# Brew Inventory

Inventory created at: пятница,  7 января 2022 г. 03:53:45 (MSK)

## Brews

- [x] asciinema: Record and share terminal sessions
- [x] avr-gcc@9: GNU compiler collection for AVR 8-bit and 32-bit Microcontrollers
- [x] avrdude: Atmel AVR MCU programmer
- [x] cmake: Cross-platform make
- [x] exa: Modern replacement for 'ls'
- [x] fac: Command line User Interface for fixing git conflicts
- [x] fzf: Command-line fuzzy finder written in Go
- [x] git: Distributed revision control system
- [x] git-delta: Syntax-highlighting pager for git and diff output
- [x] goreleaser: Deliver Go binaries as fast and easily as possible
- [x] heroku: Everything you need to get started with Heroku
- [x] htop: Improved top (interactive process viewer)
- [x] hugo: Configurable static site generator
- [x] jq: Lightweight and flexible command-line JSON processor
- [x] lima: Linux virtual machines
- [x] micro: Modern and intuitive terminal-based text editor
- [x] mosh: Remote terminal application
- [x] neovim: Ambitious Vim-fork focused on extensibility and agility
- [x] node: Platform built on V8 to build network applications
- [x] openttd: Simulation game based upon Transport Tycoon Deluxe
- [x] podman: Tool for managing OCI containers and pods
- [x] pomodoro: Pomodoro timer for nerds
- [x] rabbitmq-c: C AMQP client library for RabbitMQ
- [x] terminal-notifier: Send macOS User Notifications from the command-line
- [x] tinygo: TinyGo is a Go compiler for small places. Microcontrollers, WebAssembly, and command-line tools. Based on LLVM.
- [x] todo-txt: Minimal, todo.txt-focused editor
- [x] track: Time tracker for nerds
- [x] w3m: Pager/text based browser
- [x] wget: Internet file retriever
- [x] zenity: GTK+ dialog boxes for the command-line

## Casks

- [x] font-fira-mono: (failed to read homepage information)
- [x] font-fira-mono-nerd-font: (failed to read homepage information)
- [x] josm: (failed to read homepage information)
- [x] telegram: (failed to read homepage information)
- [x] vscodium: (failed to read homepage information)
- [x] yandex: (failed to read homepage information)

## Installed taps

- [x] adrianmihalko/ch340g-ch34g-ch34x-mac-os-x-driver
- [x] homebrew/cask-fonts
- [x] go-swagger/go-swagger
- [x] golangci/tap
- [x] goreleaser/tap
- [x] heroku/brew
- [x] homebrew/cask
- [x] homebrew/cask-versions
- [x] homebrew/core
- [x] homebrew/services
- [x] koekeishiya/formulae
- [x] metrue/fx
- [x] mkchoi212/fac
- [x] mongodb/brew
- [x] neonxp/tap
- [x] osx-cross/avr
- [x] skyjake/lagrange
- [x] tinygo-org/tools
- [x] wtfutil/wtfutil
